package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.IAppCleanItemsService;
import com.ruoyi.model.service.IAppCleanRequestService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "清洁物品及其要求")
@RestController
@RequestMapping("/applet/cleanItem")
public class AppletAppCleanItemsController extends BaseController {
    @Autowired
    private IAppCleanItemsService appCleanItemsService;

    @ApiOperation("查询所有清洁物品")
    @GetMapping("/getAppCleanItemsList")
    public TableDataInfo getAppCleanItemsList(){
        return getDataTable(appCleanItemsService.getAppCleanItemsList());
    }


    @Autowired
    private IAppCleanRequestService appCleanRequestService;

    @ApiOperation("查询所有清洁要求")
    @GetMapping("/getAppCleanRequestList")
    public TableDataInfo getAppCleanRequestList(){
        return getDataTable(appCleanRequestService.getAppCleanRequestList());
    }


}
